Package lcm.lcm

# Class MessageAggregator.Message

java.lang.Object
lcm.lcm.MessageAggregator.Message

Enclosing class:
  `MessageAggregator`

public class MessageAggregator.Message extends Object
A received message.

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`channel`
Channel on which the message was received.
`final byte[]`
`data`
The raw data bytes of the message body.

## Constructor Summary

Constructors
Constructor
Description
`Message(String channel_, byte[] data_)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### data

public final byte[] data
The raw data bytes of the message body.

### channel

public final String channel
Channel on which the message was received.

## Constructor Details

### Message

public Message(String channel_, byte[] data_)